BeanBuilderTransformer (Mule ESB 2.2.1 API)
Keywords: org.mule.expression.transformers.BeanBuilderTransformer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.expression.transformers
Class BeanBuilderTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageAwareTransformer
              org.mule.expression.transformers.AbstractExpressionTransformer
                  org.mule.expression.transformers.BeanBuilderTransformer

All Implemented Interfaces:
  MuleContextAware, Initialisable, NamedObject, BaseTransformer, Transformer

    public class BeanBuilderTransformer

extends AbstractExpressionTransformer

This transformer uses the returnClass to create the return object and then will populate the bean with arguments defined as expressions

Field Summary

Fields inherited from class org.mule.expression.transformers.AbstractExpressionTransformer
`arguments, muleContext`

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`BeanBuilderTransformer()`

Method Summary
`Class` | `getBeanClass()`
`ObjectFactory` | `getBeanFactory()`
`void` | `initialise()` Template method were deriving classes can do any initialisation after the properties have been set on this transformer
`void` | `setBeanClass(Class beanClass)`
`void` | `setBeanFactory(ObjectFactory beanFactory)`
`Object` | `transform(MuleMessage message, String outputEncoding)`

Methods inherited from class org.mule.expression.transformers.AbstractExpressionTransformer
`addArgument, getArguments, removeArgument, setArguments, setMuleContext`

Methods inherited from class org.mule.transformer.AbstractMessageAwareTransformer
`doTransform, isSourceTypeSupported`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanBuilderTransformer

    public BeanBuilderTransformer()

Method Detail

### getBeanClass

    public Class getBeanClass()

### setBeanClass

    public void setBeanClass(Class beanClass)

### getBeanFactory

    public ObjectFactory getBeanFactory()

### setBeanFactory

    public void setBeanFactory(ObjectFactory beanFactory)

### initialise

    public void initialise()
                    throws InitialisationException

  Template method were deriving classes can do any initialisation after the properties have been set on this transformer

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractExpressionTransformer`
  Throws:
    `InitialisationException`
    `RecoverableException` - if an error occurs that can be recovered from

### transform

    public Object transform(MuleMessage message,
                            String outputEncoding)
                     throws TransformerException

  Specified by:
    `transform` in class `AbstractMessageAwareTransformer`
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.